package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum CouponTypeEnum implements BaseEnum<String, CouponTypeEnum> {

    FULL_REDUCTION("FULL_REDUCTION","满减券"),
    DISCOUNT("DISCOUNT","折扣券");

    private String code;

    private String msg;

    CouponTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }}
